<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

echo '<img src="../images/img/partners.gif" alt=""> <b>Лотерея</b><br><br>';

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){


//-----------------------------  Главаная страница ----------------------------------------//
if(!isset($action)){  

$flot = file(BASEDIR."local/loterea.dat"); 
$ulot = explode("|",$flot[0]);

$newtime=date("d",$sitetime);
$newtime2=date("H",$sitetime);

echo'<b>Время: '.date_fixed($sitetime,"H:i:s").'</b><br>';

//------------------------------------------------------//
if($newtime!=$ulot[1] && $newtime2>=12 || empty($ulot[2])){

$flot=file(BASEDIR."local/loterea.dat"); 
$lotcount=count($flot);
for ($b=1; $b<$lotcount; $b++) {
$dt=explode("|",$flot[$b]); if ($dt[2]==$ulot[4]) {$lots[]=$dt[1];}}
$wincount=count($lots);//сколько победителей


//награждаем если есть
if($wincount>0){	
$babki=$ulot[2];
if($wincount>1){$babki=round($ulot[2]/$wincount);}

for($dr=0;$dr<$wincount;$dr++){
	
//------------------------------ Запись в профиль ----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$lots[$dr].prof"); 
$udata = explode(":||:",$ufile);

$udata[41]=round($udata[41]+$babki);

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$lots[$dr].prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}	

}}
#===============================================#

$winlot='';
if($wincount>1){
$ddl='Выиграли участники: ';}
elseif($wincount==1){
$ddl='Выиграл участник: ';
}else{
$ddl='Джек-пот не выиграл никто!';
}

foreach($lots as $key=>$value){
if($value!=""){
if($key==0){
$winlot.=$value;	
}else{
$winlot.=', '.$value;
}}}

///////////////////////////////////////////////////////	

$rlot=mt_rand(1,50);

if($wincount>0){$dpotsumm=(int)$config_jackpot;}else{$dpotsumm=$ulot[2];}
if(empty($dpotsumm)){$dpotsumm=(int)$config_jackpot;}

$text='|'.$newtime.'|'.$dpotsumm.'|'.$ulot[4].'|'.$rlot.'|'.$ddl.$winlot.'|';
$text=no_br($text);

$file=file(BASEDIR."local/loterea.dat");
$fp=fopen(BASEDIR."local/loterea.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$text\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);

}


$filelot=file(BASEDIR."local/loterea.dat"); 
$ulot = explode("|",$filelot[0]);
$total=count($filelot)-1;

echo'Участвуй в лотерее! С каждым разом джек-пот растет<br>Стань счастливым обладателем заветной суммы<br><br>';


echo'Джек-пот составляет <b><font color="#FF0000">'.moneys($ulot[2]).'</font></b><br><br>';
$ulot[3]=(int)$ulot[3];
if(!empty($ulot[3])){echo'Счастливое число прошлого тура: <b>'.$ulot[3].'</b><br>';
echo 'Результат прошлого тура: '.$ulot[5].'<br>';
}

echo'<br>Введите число от 1 до 50 включительно';

if($config_themes!="wml"){
echo '<br><form action="loterea.php?action=bilet&amp;'.SID.'" method="post">';
echo '<input name="bilet" /><br>';
echo '<input type="submit" value="Купить билет" /></form>';
}else{
echo '<br><input name="bilet"/><br><br>';
echo '<anchor title="go">Купить билет<go href="loterea.php?action=bilet&amp;'.SID.'" method="post">';
echo '<postfield name="bilet" value="$(bilet)"/>';
echo '</go></anchor><br>'; 
}


echo'<hr>В этом туре участвуют: '.(int)$total.'<br>';
echo'Cтоимость билета '.moneys(50).'<br>';
echo'У вас в наличии: '.moneys($udata[41]).'<br>';
}


//-------------------------------- Покупка билета -----------------------------------//
if($action=="bilet"){
$bilet=trim($bilet);
if(ctype_digit($bilet) && $bilet>=1 && $bilet<=50){	
if($udata[41]>=50){	


$lines=file(BASEDIR."local/loterea.dat"); 

foreach($lines as $value){
$linloto = explode("|",$value);	
$arrloto[]=$linloto[1];
}	

if(!in_array($log,$arrloto)){

$log=check($log);
$bilet=(int)$bilet;
$text="|$log|$bilet|";

$fp=fopen(BASEDIR."local/loterea.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);

////////////////////////////////////////////////////////////////////
$ok=0;
$flot = file(BASEDIR."local/loterea.dat"); 
$ulot = explode("|",$flot[0]);
$ulots=$ulot[2]+50;
$text='|'.$ulot[1].'|'.$ulots.'|'.$ulot[3].'|'.$ulot[4].'|'.$ulot[5].'|';
$text=no_br($text);

$file=file(BASEDIR."local/loterea.dat");
$fp=fopen(BASEDIR."local/loterea.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($ok!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);

//------------------------------ Запись в профиль ----------------------------//
$ufiles = file_get_contents(BASEDIR."local/profil/$log.prof"); 
$udatas = explode(":||:",$ufiles);

$udatas[41]=$udatas[41]-50;

for ($us=0; $us<$config_userprofkey; $us++){
$utexts.=$udatas[$us].':||:';}

if($udatas[0]!="" && $udatas[1]!="" && $udatas[4]!="" && $utexts!=""){
$fps=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fps,LOCK_EX);           
ftruncate($fps,0);                                                                
fputs($fps,$utexts);
fflush($fps);
flock($fps,LOCK_UN);
fclose($fps);  
unset($utexts);
}


echo'<b>Билет куплен!</b><br>';
echo'Результат розыгрыша станет известным после 12 часов по полудню каждого дня!<br>';
echo'<br>У вас в наличии: '.moneys($udatas[41]).'<br>';
/////////////////////////

}else{echo'Вы уже купили билет! Нельзя покупать дважды<br>';}
}else{echo'Вы не можете купить билет т.к. на вашем счете недостаточно средств<br>';}
}else{echo'Неверный ввод данных! Введите число от 1 до 50 включительно<br>';}
echo '<br><img src="../images/img/back.gif" alt=""> <a href="loterea.php?'.SID.'">Вернуться</a>';
}

//-------------------------------- Просмотр участников -----------------------------------//
if($action=="show"){
echo 'Список участников купивших билеты<br><br>';

$lotfiles = file(BASEDIR."local/loterea.dat");
$count_lotfiles=count($lotfiles);

for($i=1;$i<$count_lotfiles;$i++){

$user_dats = explode("|",$lotfiles[$i]);

echo $i.'. <img src="../images/img/chel.gif" alt=""> ';
echo '<b><a href="../pages/anketa.php?uz='.$user_dats[1].'&amp;'.SID.'">'.$user_dats[1].'</a></b> ';
echo '(Ставка: '.$user_dats[2].')<br>';
}
echo '<br>Всего участников сегодня: <b>'.(int)($count_lotfiles-1).'</b><br>';
echo '<br><img src="../images/img/back.gif" alt=""> <a href="loterea.php?'.SID.'">Вернуться</a>';

}


}else{
echo '<br>Вы не авторизованы, чтобы начать игру, необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}

echo '<br><img src="../images/img/chat.gif" alt=""> <a href="loterea.php?action=show&amp;'.SID.'">Участники</a><br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once "../themes/$config_themes/foot.php";
?>